class AttributeBuilder < Builder
  ##
  # receive a list of ids and return a list of attributes
  #
  def self.build(attributes = [])
    super(attribute_repository, attributes)
  end

  def self.build_from_orientdb(args = {})
    super(args) do
      Attribute.new(
        id: args['@rid'],
        key: args['key'],
        value: args['value']
      )
    end
  end

end
