class Validators::CollectionOwnerValidator < ActiveModel::Validator

  def validate(record)
    unless record.owner.is_a?(User) || record.owner.is_a?(Institution)
      record.errors.add :base, 'The owner must be an User or an Institution'
    end
  end

end
