module OrientDb
  module Associations
    class LearningObjectAssociations < OrientDb::Associations

      def relations
        [
            OrientDb::Associations::SubjectsAssociation.new(object, connection),
            OrientDb::Associations::AttributesAssociation.new(object, connection),
            OrientDb::Associations::PublisherAssociation.new(object, connection)
        ]
      end

    end
  end
end