class MassiveDspaceSyncWorker

  include Sidekiq::Worker
  include RepositoriesProxy

  def perform(item_ids)
    item_ids.each do |id|
      begin
        dspace_repository.items.find(id: id["id_dspace"])
      rescue
        puts "----------------------------------------------"
        puts "ITEM WILL BE REMOVED: #{item.to_json}"
        puts "----------------------------------------------"
        broken_item = learning_object_repository.find id["id"]
        learning_object_repository.destroy broken_item

      end
    end

  end

  private

  def dspace_repository
    DspaceService.create_client
  end

end
