class MassiveLikesCreatorWorker

  include Sidekiq::Worker
  include RepositoriesProxy

  def perform(item_id, users_ids)

    item = learning_object_repository.find item_id

    users_ids.each do |user_id|
      user = User.find user_id
      begin
        learning_object_repository.like user, item
      rescue
        next
      end
    end

  end

end
